Redmine - Defect #10714

Broken HTML output on certain textile input
2012-04-19 16:13 - Alex Shulgin

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 1.3.3
Description

If there is a stray http:// on the line's end (this happens for example when a MUA reformats some quoted text in a mail ticket update,)
Redmine will try to convert that to a link.

Also this results in a broken HTML output: the rest of the text will be surrounded with the link tags pointing to "http://%3Cbr" (one can
easily spot the start of a broken <br> tag here.)

| experience this on 1.3-stable, as well as on this site: redmine.org in it's current version.
Example:
History

#1 - 2014-02-22 09:08 - John Gabel

This is really old and doesn't appear to be an issue anymore. Recommend closing this issue.

#2 - 2014-03-14 08:47 - Toshi MARUYAMA

- Status changed from New to Closed

2024-04-11 1/1



http://%20on
http://www.tcpdf.org

